weka.filters.unsupervised.attribute

## Class RenameNominalValues

- java.lang.Object
- - weka.filters.Filter
  - - weka.filters.unsupervised.attribute.RenameNominalValues

- All Implemented Interfaces:
    java.io.Serializable, CapabilitiesHandler, CapabilitiesIgnorer, CommandlineRunnable, OptionHandler, RevisionHandler, WeightedAttributesHandler, WeightedInstancesHandler, StreamableFilter, UnsupervisedFilter

      public class RenameNominalValues
      extends Filter
      implements UnsupervisedFilter, StreamableFilter, OptionHandler, WeightedInstancesHandler, WeightedAttributesHandler

  Renames the values of nominal attributes.

  Valid options are:

       -R
        Attributes to act on. Can be either a range
        string (e.g. 1,2,6-10) OR a comma-separated list of named attributes
        (default none)

       -V
        Invert matching sense (i.e. act on all attributes other than those specified)

       -N
        Nominal labels and their replacement values.
        E.g. red:blue, black:white, fred:bob

       -I
        Ignore case when matching nominal values

  Version:
    $Revision: 14865 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenameNominalValues()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Capabilities` | `getCapabilities()` Returns the Capabilities of this filter.
    `boolean` | `getIgnoreCase()`
    `boolean` | `getInvertSelection()` Get whether the supplied columns are to be removed or kept
    `java.lang.String[]` | `getOptions()` Gets the current settings of the filter.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.lang.String` | `getSelectedAttributes()`
    `java.lang.String` | `getValueReplacements()`
    `java.lang.String` | `globalInfo()` Global help info
    `java.lang.String` | `ignoreCaseTipText()` Returns the tip text for this property
    `boolean` | `input(Instance instance)` Input an instance for filtering.
    `java.lang.String` | `invertSelectionTipText()` Returns the tip text for this property
    `java.util.Enumeration<Option>` | `listOptions()` Returns an enumeration describing the available options.
    `static void` | `main(java.lang.String[] argv)` Main method for testing this class.
    `java.lang.String` | `selectedAttributesTipText()` Returns the tip text for this property
    `void` | `setIgnoreCase(boolean ignore)`
    `boolean` | `setInputFormat(Instances instanceInfo)` Sets the format of the input instances.
    `void` | `setInvertSelection(boolean invert)` Set whether selected columns should be removed or kept.
    `void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
    `void` | `setSelectedAttributes(java.lang.String atts)`
    `void` | `setValueReplacements(java.lang.String v)`
    `java.lang.String` | `valueReplacementsTipText()` Returns the tip text for this property

    - ### Methods inherited from class weka.filters.Filter

      `batchFilterFile, batchFinished, debugTipText, doNotCheckCapabilitiesTipText, filterFile, getCapabilities, getCopyOfInputFormat, getDebug, getDoNotCheckCapabilities, getOutputFormat, isFirstBatchDone, isNewBatch, isOutputFormatDefined, makeCopies, makeCopy, mayRemoveInstanceAfterFirstBatchDone, numPendingOutput, output, outputPeek, postExecution, preExecution, run, runFilter, setDebug, setDoNotCheckCapabilities, toString, useFilter, wekaStaticWrapper`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RenameNominalValues

          public RenameNominalValues()

  - ### Method Detail

    - #### globalInfo

          public java.lang.String globalInfo()

      Global help info
      Returns:
        the help info for this filter

    - #### setInputFormat

          public boolean setInputFormat(Instances instanceInfo)
                                 throws java.lang.Exception

      Sets the format of the input instances.
      Overrides:
        `setInputFormat` in class `Filter`
      Parameters:
        `instanceInfo` - an Instances object containing the input instance structure (any instances contained in the object are ignored - only the structure is required).
      Returns:
        true if the outputFormat may be collected immediately
      Throws:
        `java.lang.Exception` - if the format couldn't be set successfully

    - #### input

          public boolean input(Instance instance)

      Input an instance for filtering. Ordinarily the instance is processed and made available for output immediately. Some filters require all instances be read before producing output.
      Overrides:
        `input` in class `Filter`
      Parameters:
        `instance` - the input instance
      Returns:
        true if the filtered instance may now be collected with output().
      Throws:
        `java.lang.IllegalStateException` - if no input structure has been defined.

    - #### getCapabilities

          public Capabilities getCapabilities()

      Returns the Capabilities of this filter.
      Specified by:
        `getCapabilities` in interface `CapabilitiesHandler`
      Overrides:
        `getCapabilities` in class `Filter`
      Returns:
        the capabilities of this object
      See Also:
        `Capabilities`

    - #### selectedAttributesTipText

          public java.lang.String selectedAttributesTipText()

      Returns the tip text for this property
      Returns:
        tip text for this property suitable for displaying in the explorer/experimenter gui

    - #### setSelectedAttributes

          public void setSelectedAttributes(java.lang.String atts)

    - #### getSelectedAttributes

          public java.lang.String getSelectedAttributes()

    - #### valueReplacementsTipText

          public java.lang.String valueReplacementsTipText()

      Returns the tip text for this property
      Returns:
        tip text for this property suitable for displaying in the explorer/experimenter gui

    - #### setValueReplacements

          public void setValueReplacements(java.lang.String v)

    - #### getValueReplacements

          public java.lang.String getValueReplacements()

    - #### invertSelectionTipText

          public java.lang.String invertSelectionTipText()

      Returns the tip text for this property
      Returns:
        tip text for this property suitable for displaying in the explorer/experimenter gui

    - #### getInvertSelection

          public boolean getInvertSelection()

      Get whether the supplied columns are to be removed or kept
      Returns:
        true if the supplied columns will be kept

    - #### setInvertSelection

          public void setInvertSelection(boolean invert)

      Set whether selected columns should be removed or kept. If true the selected columns are kept and unselected columns are deleted. If false selected columns are deleted and unselected columns are kept.
      Parameters:
        `invert` - the new invert setting

    - #### ignoreCaseTipText

          public java.lang.String ignoreCaseTipText()

      Returns the tip text for this property
      Returns:
        tip text for this property suitable for displaying in the explorer/experimenter gui

    - #### setIgnoreCase

          public void setIgnoreCase(boolean ignore)

    - #### getIgnoreCase

          public boolean getIgnoreCase()

    - #### listOptions

          public java.util.Enumeration<Option> listOptions()

      Description copied from class: `Filter`
      Returns an enumeration describing the available options.
      Specified by:
        `listOptions` in interface `OptionHandler`
      Overrides:
        `listOptions` in class `Filter`
      Returns:
        an enumeration of all the available options.

    - #### setOptions

          public void setOptions(java.lang.String[] options)
                          throws java.lang.Exception

      Parses a given list of options.

      Valid options are:

           -R
            Attributes to act on. Can be either a range
            string (e.g. 1,2,6-10) OR a comma-separated list of named attributes
            (default none)

           -V
            Invert matching sense (i.e. act on all attributes other than those specified)

           -N
            Nominal labels and their replacement values.
            E.g. red:blue, black:white, fred:bob

           -I
            Ignore case when matching nominal values

      Specified by:
        `setOptions` in interface `OptionHandler`
      Overrides:
        `setOptions` in class `Filter`
      Parameters:
        `options` - the list of options as an array of strings
      Throws:
        `java.lang.Exception` - if an option is not supported

    - #### getOptions

          public java.lang.String[] getOptions()

      Description copied from class: `Filter`
      Gets the current settings of the filter.
      Specified by:
        `getOptions` in interface `OptionHandler`
      Overrides:
        `getOptions` in class `Filter`
      Returns:
        an array of strings suitable for passing to setOptions

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Overrides:
        `getRevision` in class `Filter`
      Returns:
        the revision

    - #### main

          public static void main(java.lang.String[] argv)

      Main method for testing this class.
      Parameters:
        `argv` - should contain arguments to the filter: use -h for help